## org.gnu.glib
Class Type

    java.lang.Object
      org.gnu.glib.Type

public class Type
extends java.lang.Object

This class represents the GLib Runtime type identification and management system. It provides the facilities for registering and managing all fundamental data types. It should be for internal use only and not be exposed outside of the library.

Field Summary
`protected static boolean` `isInitialized`

Constructor Summary
`Type(int handle)` Construct a new Type from a integer that represents the type.
`Type(java.lang.String name)` Construct a Type by its' name.

Method Summary
`static Type` `BOOLEAN()` Return a Type instance initialized as BOOLEAN.
`static Type` `BOXED()` Return a Type instance initialized as BOXED.
`static Type` `CHAR()` Return a Type instance initialized as CHAR.
`static Type` `DOUBLE()` Return a Type instance initialized as DOUBLE.
`static Type` `FLAGS()` Return a Type instance initialized as FLAGS.
`static Type` `FLOAT()` Return a Type instance initialized as FLOAT.
`protected static int` `g_type_depth(int type)`
`protected static int` `g_type_from_name(java.lang.String name)`
`protected static void` `g_type_init()` BEGINNING OF JNI CODE
`protected static boolean` `g_type_is_a(int type, int type_is_a)`
`protected static java.lang.String` `g_type_name(int type)`
`protected static int` `g_type_parent(int type)`
`protected static int` `g_type_qname(int type)`
`protected static int` `get_BOOLEAN()`
`protected static int` `get_BOXED()`
`protected static int` `get_CHAR()`
`protected static int` `get_DOUBLE()`
`protected static int` `get_FLAGS()`
`protected static int` `get_FLOAT()`
`protected static int` `get_INT()`
`protected static int` `get_INTERFACE()`
`protected static int` `get_INVALID()`
`protected static int` `get_JAVA_OBJECT()`
`protected static int` `get_LONG()`
`protected static int` `get_NONE()`
`protected static int` `get_OBJECT()`
`protected static int` `get_PARAM()`
`protected static int` `get_PIXBUF()` NATIVE METHODS - represent macros in the libs
`protected static int` `get_POINTER()`
`protected static int` `get_STRING()`
`int` `getTypeHandle()` Returns the unique identifyer used to identify a type in the native libraries.
`static Type` `INT()` Return a Type instance initialized as INT.
`static Type` `INTERFACE()` Return a Type instance initialized as INTERFACE.
`static Type` `INVALID()` Return a Type instance initialized as INVALID.
`static Type` `JAVA_OBJECT()` Return a Type instance initialized as JAVA_OBJECT.
`static Type` `LONG()` Return a Type instance initialized as LONG.
`static Type` `NONE()` Return a Type instance initialized as NONE.
`static Type` `OBJECT()` Return a Type instance initialized as OBJECT.
`static Type` `PARAM()` Return a Type instance initialized as PARAM.
`static Type` `PIXBUF()` Return a Type instance initialized as PIXBUF.
`static Type` `STRING()` Return a Type instance initialized as STRING.
`boolean` `typeEquals(Type aType)` Compares a Type with the current object.
`protected boolean` `typeIsA(Type aType)` Determine if the `Type` parameter is a derivable type, checking whether this `Type` object is a descendant of the `Type` parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isInitialized

    protected static boolean isInitialized

Constructor Detail

### Type

    public Type(int handle)

  Construct a new Type from a integer that represents the type.

### Type

    public Type(java.lang.String name)

  Construct a Type by its' name.

Method Detail

### getTypeHandle

    public int getTypeHandle()

  Returns the unique identifyer used to identify a type in the native libraries.

### typeEquals

    public boolean typeEquals(Type aType)

  Compares a Type with the current object.

### typeIsA

    protected boolean typeIsA(Type aType)

  Determine if the `Type` parameter is a derivable type, checking whether this `Type` object is a descendant of the `Type` parameter. If the `Type` parameter is an interface, check whether this `Type` object conforms to it.

### INVALID

    public static final Type INVALID()

  Return a Type instance initialized as INVALID.

### NONE

    public static final Type NONE()

  Return a Type instance initialized as NONE.

### INTERFACE

    public static final Type INTERFACE()

  Return a Type instance initialized as INTERFACE.

### CHAR

    public static final Type CHAR()

  Return a Type instance initialized as CHAR.

### BOOLEAN

    public static final Type BOOLEAN()

  Return a Type instance initialized as BOOLEAN.

### INT

    public static final Type INT()

  Return a Type instance initialized as INT.

### LONG

    public static final Type LONG()

  Return a Type instance initialized as LONG.

### FLAGS

    public static final Type FLAGS()

  Return a Type instance initialized as FLAGS.

### FLOAT

    public static final Type FLOAT()

  Return a Type instance initialized as FLOAT.

### DOUBLE

    public static final Type DOUBLE()

  Return a Type instance initialized as DOUBLE.

### STRING

    public static final Type STRING()

  Return a Type instance initialized as STRING.

### BOXED

    public static final Type BOXED()

  Return a Type instance initialized as BOXED.

### PARAM

    public static final Type PARAM()

  Return a Type instance initialized as PARAM.

### OBJECT

    public static final Type OBJECT()

  Return a Type instance initialized as OBJECT.

  See Also:
    `JAVA_OBJECT()`

### JAVA_OBJECT

    public static final Type JAVA_OBJECT()

  Return a Type instance initialized as JAVA_OBJECT.

### PIXBUF

    public static final Type PIXBUF()

  Return a Type instance initialized as PIXBUF.

### get_PIXBUF

    protected static final int get_PIXBUF()

  NATIVE METHODS - represent macros in the libs

### get_JAVA_OBJECT

    protected static final int get_JAVA_OBJECT()

### get_POINTER

    protected static final int get_POINTER()

### get_INVALID

    protected static final int get_INVALID()

### get_NONE

    protected static final int get_NONE()

### get_INTERFACE

    protected static final int get_INTERFACE()

### get_CHAR

    protected static final int get_CHAR()

### get_BOOLEAN

    protected static final int get_BOOLEAN()

### get_INT

    protected static final int get_INT()

### get_LONG

    protected static final int get_LONG()

### get_FLAGS

    protected static final int get_FLAGS()

### get_FLOAT

    protected static final int get_FLOAT()

### get_DOUBLE

    protected static final int get_DOUBLE()

### get_STRING

    protected static final int get_STRING()

### get_BOXED

    protected static final int get_BOXED()

### get_PARAM

    protected static final int get_PARAM()

### get_OBJECT

    protected static final int get_OBJECT()

### g_type_init

    protected static final void g_type_init()

  BEGINNING OF JNI CODE

### g_type_name

    protected static final java.lang.String g_type_name(int type)

### g_type_qname

    protected static final int g_type_qname(int type)

### g_type_from_name

    protected static final int g_type_from_name(java.lang.String name)

### g_type_parent

    protected static final int g_type_parent(int type)

### g_type_depth

    protected static final int g_type_depth(int type)

### g_type_is_a

    protected static final boolean g_type_is_a(int type,
                                               int type_is_a)